# Generated by Django 3.1.2 on 2020-11-17 16:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('videohostingapp', '0003_auto_20201028_2300'),
    ]

    operations = [
        migrations.CreateModel(
            name='Dislike',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_id', models.IntegerField(default=0, null=True, verbose_name='User')),
                ('dislike', models.BooleanField(default=False, verbose_name='Dislike')),
                ('comment', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='videohostingapp.comment')),
                ('video', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='videohostingapp.videocards')),
            ],
            options={
                'verbose_name': 'Dislike',
                'verbose_name_plural': 'Dislikes',
            },
        ),
    ]
